<template>
	<section class="settings_main">
		<div class="p-3 vw-100">
			<div class="settings_content_inr base_block">
				<div class="settings_panel p-3">
					<div class="settings_panel_ttl">
						<div class="txt">{{$store.state.locale.category}}</div>
						<button
								type="button"
								class="login_main_sign_btn bt"
								data-toggle="modal"
								data-target="#modalInfo"
								@click="actionType = 1"
								v-if="can('settings_category', 'Edit')"
						>
							{{$store.state.locale.addcategories}}
						</button>
					</div>

					<div class="settings_panel_cnt">
						<div class="table-responsive settings_content_tb">
							<table class="table table-striped table-hover">
								<thead>
								<tr>
									<th scope="col">Id</th>
									<th scope="col">{{$store.state.locale.categoryName}}</th>
									<th scope="col">{{$store.state.locale.parentCat}}</th>
									<th scope="col" class="w-40" v-if="can('settings_category', 'Edit')"></th>
								</tr>
								</thead>

								<tbody>
								<tr v-for="(item, key) in modelList">
									<td>{{ item.id }}</td>
									<td>{{ item.parentId != null ? parentList.find(x => x.id == item.parentId).name : '--' }}</td>
									<td>{{ item.name }}</td>
									<td v-if="can('settings_category', 'Edit')">
										<div class="btn-group">
											<button type="button" class="icon-btn" @click="Read(item.id); actionType = 2">
												<i class="mdi mdi-pencil"></i>
											</button>
											<button type="button" class="icon-btn" @click="Read(item.id); actionType = 3">
												<i class="mdi mdi-delete text-danger"></i>
											</button>
										</div>
									</td>
								</tr>
								</tbody>
							</table>
						</div>
					</div>
				</div>
			</div>


			<div class="modal fade base_modal" id="modalInfo">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<div class="base_modal_ttl">{{$store.state.locale.category}}</div>
						</div>

						<div class="modal-body">
							<div class="form-group">
								<label class="base_label">{{$store.state.locale.categoryName}}</label>
								<select class="form-control base_input" v-model="model.parentId" :disabled="actionType === 3">
									<option v-for="item in modelList" :value="item.id">{{ item.name }}</option>
								</select>
							</div>
							<div class="form-group">
								<label class="base_label">{{$store.state.locale.categoryName}}</label>
								<input type="text" class="form-control base_input" placeholder="Name" v-model="model.name" :disabled="actionType === 3">
							</div>
						</div>

						<div class="modal-footer">
							<button type="button" class="login_main_sign_btn base_modal_btn" v-if="actionType === 1" @click="Create">{{$store.state.locale.add}}</button>
							<button type="button" class="login_main_sign_btn base_modal_btn success" v-if="actionType === 2" @click="Update">{{$store.state.locale.update}}</button>
							<button type="button" class="login_main_sign_btn base_modal_btn danger" v-if="actionType === 3" @click="Delete">{{$store.state.locale.delete}}</button>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>
</template>

<style></style>

<script src="./script.js"></script>
